TON CenterAPI referenceUtilities
Detect address
Validate an address and return it in all standard formats.
Query Parameters
address*string
The account address to query.
Response Body
application/json
application/json
application/json
application/json
application/json
curl -X GET "https://example.com/api/v2/detectAddress?address=EQCxE6mUtQJKFnGfaROTKOt1lZbDiiX1kCixRv7Nw2Id_sDs"{
"ok": true,
"result": {
"@type": "ext.utils.detectedAddress",
"raw_form": "string",
"bounceable": {
"@type": "ext.utils.detectedAddressVariant",
"b64": "string",
"b64url": "string"
},
"non_bounceable": {
"@type": "ext.utils.detectedAddressVariant",
"b64": "string",
"b64url": "string"
},
"given_type": "raw_form",
"test_only": true
},
"@extra": "string"
}{
"ok": false,
"code": 401,
"error": "API key does not exist"
}{
"ok": false,
"code": 403,
"error": "Network not allowed"
}{
"ok": false,
"code": 422,
"error": "empty address"
}{
"ok": false,
"code": 429,
"error": "Ratelimit exceeded"
}Last updated on